/* You can add global styles to this file, and also import other style files */
//root variable

@import 'src/variable_theme.scss';




:root {
  --default-font: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  --default-heading: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

body {
  font-family: sans-serif, "Open Sans", "Helvetica Neue", Helvetica, Arial,
    sans-serif;
}
/* navbar */
.iq-top-navbar {
  height: 60px;
  .navbar {
    margin-left: auto;
  }
}

/* owl-date-time */
.date-trigger-icon {
  margin-top: -27px;
  margin-right: 5px;
  cursor: pointer;
  float: right;
}

/* card */
.card-header {
  padding: 0.25rem 1.25rem;
  .card-title {
    font-size: 1.3em;
  }
}

/* ngx-select */
.dropdown-menu .dropdown-item:hover,
.ngx-select__item_active {
  background: #428bca;
  color: #fff;
}
.ngx-select__toggle {
  transition: all 0s !important;
}

ngx-select.disabled {
  .ngx-select__disabled {
    opacity: 0 !important;
  }
  .ngx-select__toggle {
    background-color: #e9ecef;
  }
}

/* pagination */
pagination ul.pagination {
  margin-bottom: 0;
}

/* light mode */
html:not(.dark-layout) {
  // second-navbar
  .second-navbar {
    background: #00a4e4;
  }

  // card
  .card-header {
    background-color: rgb(229 242 255);
  }

 .table-striped>tbody>tr:nth-child(odd)>td,
.table-striped>tbody>tr:nth-child(odd)>th {
  // background-color: red !important; // Choose your own color here
 }

  // data-table
  .data-table-container {
    // border-top: 1px solid #dee2e6;
    .table {
      // color: #82877f;
      background-color: #e4f0f6;
    }.table thead tr{
      background-color: red !important;
    }
    .table thead tr:nth-child(1) th {
      background-color:  $crm_principal_2 !important;
      color: #fff;
    }
    .table thead tr:nth-child(2) th {
      background-color: #fff;
    }
  }

  // button-toolbar
  .button-toolbar {
    background-color: #f5f7f9;
  }

  // attachement
  .attachement i {
    background: #f5f4f7;
  }
}

.activity-popup {
  mat-dialog-container {
    padding: 0;
    width: 1000px !important;
    overflow-x: hidden;
  }
}


.passerOrdre-popup {
  mat-dialog-container {
    padding: 0;
    width: 1000px !important;
    overflow-x: hidden;
  }
}

/* dark mode */
html.dark-layout {
  // table
  .table-hover tbody tr:hover {
    color: #ffffff;
    background-color: #25294a;
  }

  // data-table
  .data-table-container {
    //border-top: 1px solid #25294a;
    .table thead tr:nth-child(1) th {
      background-color: #2d325a;
    }
    .table thead tr:nth-child(2) th {
      background-color: #2d325a;
    }
  }

  // ngx-select
  .ngx-select__toggle {
    background-color: #25294a;
  }
  .ngx-select__toggle:hover {
    background-color: #25294a;
  }
  .ngx-select__toggle {
    color: inherit;
  }

  // owl-date-time
  .owl-dt-container {
    background-color: #25294a;
  }
  .owl-dt-popup-container .owl-dt-calendar {
    background-color: #25294a;
  }
  .owl-dt-calendar-table .owl-dt-calendar-cell,
  .owl-dt-calendar-table .owl-dt-calendar-header,
  .owl-dt-control-button {
    color: inherit;
  }
  .owl-dt-container * {
    fill: #8c91b6;
  }
  .owl-dt-calendar-control {
    color: inherit;
  }
  .owl-dt-calendar-table .owl-dt-calendar-cell-selected {
    background-color: #25294a;
  }

  // breadcrumb
  li.breadcrumb-item.active {
    color: white;
  }

  // second-navbar
  .second-navbar {
    background: #242a57;
  }

  // pagination
  .page-link {
    color: #007bff;
  }

  // button-toolbar
  .button-toolbar {
    background-color: #242a57;
  }

  // attachement
  .attachement i {
    background: #25294a;
  }
}

/* INPUT PLACEHOLDER */
input::-webkit-input-placeholder {
  font-size: 14px;
  font-family: "Questrial", sans-serif;
}

//title
.ibox-title {
  padding: 5px 5px 2px 5px;
  border: 0;
}

.container-card{
  padding: 0px 5px 5px 5px !important;
}

.ibox-title-child {
  position: relative;
  color: $crm_principal_2;
  font-family: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 500;
  padding-bottom: 0.2rem;
 width: 50%;
}

.ibox-title-child:before {
  content: "";
  width: 100%;
  height: 1px;
  background-color: #ccc;
  position: absolute;
  left: 0;
  bottom: 0;
}

.ibox-title-child:after {
  content: "";
  width: 100px;
  height: 3px;
  background-color: $crm_principal_2;
  position: absolute;
  left: 0;
  bottom: -1px;
  width: 50%;
}




.ibox-form-container {
  margin-top: 0rem;
  margin-bottom: 0rem;

}

//form buttons

.reset-button {
  background-color: #fff !important;
  color: $crm_principal_2;
  padding: 3px 8px;
  border: solid 1px $crm_principal_2;
}

.reset-button i{
  font-size: larger;
  margin-right: 0px !important  ;

}

.submit-button {
  background-color: $crm_principal_2!important;
  color: #fff !important;
  padding: 3px 8px !important;
  //border: solid 1px #fff;
}
.submit-button i{
  font-size: larger;
  margin-right: 0px !important  ;

}
// button add activity
.menu-add {
  float: right;
  color: #fff;
  background-color: $crm_principal_2;
}
.menu-add-icon {
  font-size: 24px;
}
.sub-menu-add {
  float: right;
  color: $crm_principal_2;
  font-size: 30px;
}
.mat-menu-item {
  height: 35px;
  font-size: 14px;
}
.mat-icon-button {
  padding: 0;
  min-width: 0;
  width: 35px !important;
  height: 35px !important;
  flex-shrink: 0;
  line-height: 18px !important;
  border-radius: 50%;
}

.mat-icon-button i, .mat-icon-button .mat-icon {
  line-height: 16px !important;
}
.mat-mini-fab.mat-accent {
  background-color: $crm_principal_2!important;
  color: #fff;
}

//filter box
.ibox-filter {
  background-color: #e4f0f6;
  padding-bottom: 10px;

}
.mat-slide-toggle-content {
  font-weight: 400 !important;
}

.sub-ibox-filter {
  background-color: #c7d2d752;
  padding-bottom: 10px;
}
i.title_icone {
  font-size: 1.3rem;
}





//inputs

input,select,ngx-select{
  font-size: 14px;
  font-weight: 400;
  font-family: sans-serif, "Helvetica Neue";
}

//layout

.iq-sidebar {
  position: fixed;
  top: 60px !important;
  //width: 70px !important;
}

html:not(.dark-layout) body.sidebar-main .iq-sidebar {
  width: 70px;
}

html:not(.dark-layout) .content-page {
  padding: 70px 10px 10px 10px !important;
}

html:not(.dark-layout) .iq-sidebar-logo img {
  height: 35px !important;
}

.iq-sidebar-logo {
  padding-top: 10px !important;
  padding-left: 15px !important;
  float: left;
}

.iq-top-navbar .navbar {
  height: 60px !important;
}

.iq-sidebar-menu .iq-menu li a {

  padding: 15px 20px 15px 26px !important;
}

@media (max-width: 1299px){
  html:not(.dark-layout) body.sidebar-main .iq-sidebar {
 width: inherit; ;

}
}

@media (max-width: 991px){
  html:not(.dark-layout) .iq-top-navbar .navbar-toggler {
    right: 40px !important  ;
}

html:not(.dark-layout) .content-page {
  padding: 70px 5px 5px 5px !important;
}

ul#myTab-1 {
  .nav-item {
    flex-basis: 0;
    flex-grow: 1;
    text-align: center;
  }
}

html:not(.dark-layout) .iq-top-navbar .iq-navbar-custom .iq-menu-bt {
  right: 80px !important;

}
//ibox

.ibox-title-child{
  font-size: .7rem !important;
}
//stepper
.titre{
  font-size: .7rem !important;
}

.mat-icon-button  {
  width: 30px !important;
  height: 30px !important;
  font-size: 20px !important;
}
.mat-mini-fab.mat-accent{
  width: 30px !important;
  height: 30px !important;
  font-size: 20px !important;
}
.menu-add-icon{
  font-size: 20px !important;
}
.mat-icon {
    line-height: 3px !important;
}

html:not(.dark-layout) .wrapper-menu {
  width: 16px !important;
  height: 11px !important;
}

html:not(.dark-layout) .iq-top-navbar .navbar-toggler {
  font-size: 20px !important;
  padding: 7px 8px !important;
  right: 50px !important;
}
.buttons-oriontation{
  text-align: end !important;

}
.iq-sidebar-logo {
  padding-top: 20px !important;
}
html:not(.dark-layout) .iq-sidebar-logo img {
  height: 30px !important;
}


  .legend{
      display: none;}








}


// tabs

.nav.nav-tabs{
  background-color: $crm_principal_2;
  color:#fff;
  border: solid 1px #f4f4f4;
}
.nav.nav-tabs .nav-item{
  border-right:solid 1px #f4f4f4;;
}

.nav.nav-tabs .nav-item .nav-link.active{
  border-bottom:none;
  color: #f1f2ff;;
  background-color: $tab_active;
  //font-weight: 600;
}






@media (max-width: 991px){
  .nav.nav-tabs .nav-item{
      border:solid 1px #f4f4f4;;
  }
  .nav.nav-tabs{
      border: none;
  }


}






html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: sans-serif, "Helvetica Neue";
}

/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';
